<?php
?>
<!doctype html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <title>Wheat Protein Search for Expression</title>
  <link rel="stylesheet" href="//code.jquery.com/ui/1.11.1/themes/smoothness/jquery-ui.css">
  <script src="//code.jquery.com/jquery-1.10.2.js"></script>
  <script src="//code.jquery.com/ui/1.11.1/jquery-ui.js"></script>
  <style>
  .ui-autocomplete-loading {
    background: white url("images/ui-anim_basic_16x16.gif") right center no-repeat;
  }
  </style>
  <script>
  $(function() {
    function log( message ) {
      $( "<div>" ).text( message ).prependTo( "#log" );
      $( "#log" ).scrollTop( 0 );
    }
 
    $( "#protid" ).autocomplete({
      source: "ajax_searchids.php",
      minLength: 2,
      select: function( event, ui ) {
            var href="http://dubcovskylab.ucdavis.edu/expression_data/graph_and_table.php?seq_id=" + ui.item.value;
            log( ui.item ?
              "Selected: " + ui.item.value + " aka " + ui.item.id :
              "Nothing selected, input was " + this.value );
            window.open(href);
      }
    });

    $( "#terms" ).autocomplete({
      source: "ajax_searchterms.php",
      minLength: 2,
      select: function( event, ui ) {
            var href="http://dubcovskylab.ucdavis.edu/expression_data/graph_and_table.php?seq_id=" + ui.item.value;
            log( ui.item ?
              "Selected: " + ui.item.value + " aka " + ui.item.id :
              "Nothing selected, input was " + this.value );
            window.open(href);
      }
    });
  });
  </script>
</head>
<body>
 
<div class="ui-widget">
  <label for="protid">ProteinId: </label>
  <input id="protid">
</div>

<div class="ui-widget">
  <label for="terms">Protein Term: </label>
  <input id="terms">
</div>
 
<div class="ui-widget" style="margin-top:2em; font-family:Arial; font-size:14px">
  Result:
  <div id="log" style="height: 200px; width: 500px; overflow: auto;" class="ui-widget-content"></div>
</div>
 
 
</body>
</html>
